Page MenuHomePhabricator

Provide an interface to rotate an image
Open, MediumPublic

Description

As Brion writes,

[Allowing uploaders to] preview & fix the rotation *during* the upload process
will be a big help. There should be a bugzilla entry ready for comments
somewhere.

Since I couldn't find one, this one is open.


Version: 1.18.x
Severity: enhancement

Details

Reference
bz32875

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:05 AM
bzimport set Reference to bz32875.
bzimport added a subscriber: Unknown Object (MLST).

I personally feel rotation shouldn't really happen during the image rendering process. Instead when uploading there should be a warning, saying image looks rotated, do you want to fix, with a preview of before and after the rotation, and forcing user to chose which one. If the user chooses the rotated version, we should physically rotate the image (And remove orientation), otherwise we should just leave the image as is.

(Also, it should be noted there is some discussion of this around bug 6672 comment 36 )

There appears to be a pretty fantastic user interface for this already implemented as a gadget for the RotateBot:
http://commons.wikimedia.org/wiki/Help:RotateLink

With a proper backend API, it doesn't seem like it'd be too difficult to plug this in in some way.

RobLa-WMF added a comment.EditedDec 16 2011, 12:33 AM

Filed bug 33186 (T35186) as the API counterpart to this bug

vivekee047 wrote:

Hey,

Is this still an issue.
Please check the bug 6672.Which is similar to this
Either both are same and this has to be marked as resolved
Or else can you tell me whats the difference betwwen these bugs

@Rob Lanphier:could you provide some information regarding API for rotating the image.Is it done or not.

Thanks

(In reply to comment #5)

@Rob Lanphier:could you provide some information regarding API for rotating the
image.Is it done or not.

Since bug 33186 is not closed, this is not done.

jgerber wrote:

*** Bug 45200 has been marked as a duplicate of this bug. ***

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 16 2015, 1:50 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:40 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptSep 4 2015, 6:40 PM
Restricted Application added a project: Commons. · View Herald TranscriptDec 9 2015, 1:53 AM
Steinsplitter moved this task from Incoming to Uploading on the Commons board.Dec 9 2015, 11:57 AM

Again, please only allow 90 degree rotations. We do NOT, under ANY circumstances want people guessing at rotations at upload, then doing rough crops before any original copy has even been saved. 90 degree rotations are safe both at upload or later. Anything more than that, and we must save the original copy first

Remember that images degrade with every rotation. Further, we're rotating rectangles, not circles: if you rotate a rectangle anything but 90 degrees, you end up with either triangular gaps in the corners where the rotated image is put into a larger box, or you have to crop, throwing information away. **We do not want to encourage throwing away information before it's even saved, using a Web-based device that people will quickly eyeball the rotation and hit save on, because what else are they going to do.

Only 90 degree rotations are wanted by the community, don't scope creep this to the point it has to be rejected.

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptNov 19 2016, 2:05 PM
ShakespeareFan00 added a comment.EditedJan 20 2018, 3:45 PM

Earlier in the ticket concerned was raised about image degradation. This would certainly be a consideration for raster formats..

However some images on Commons are SVG. Is there a parameter that can be supplied to the SVG rendering back end allowing for the base coordinate system to be modified, or the SVG tweaked by wrapping an additional group and transformation matrix into the SVG passed to the back end used for rendering SVG? (This would be relatively straight forward to pass in from the File syntax, and would meet the use case mentioned in T185380)